I’ve written a fairly lengthy article about how you can use multiple PHP versions on the same Plesk 11.0.x server and it seems that the people at Parallels were listening! Since version 11.5.x it’s possible to install and use multiple PHP versions and manage them from the web interface. This feature is extremely handy if you’re required to support old PHP applications like Drupal 5 that just refuse to play nice with newer versions of PHP.

Hopefully this trend will continue, allowing us Plesk users to completely customize every single subscription and domain with it’s own settings and software!